<?php

use yii\db\Migration;

/**
 * Class m180523_094805_create_table_comment
 */
class m180523_094805_create_table_comment extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('comment', [
            'id' => $this->primaryKey(),
            'name' => $this->string(),
            'email' => $this->string(),
            'comment' => $this->text(),
            'status' => $this->boolean(),
            'service_id' => $this->integer(),
            'created_at' => $this->integer(),
            'updated_at' => $this->integer(),
    
        ]);
    
        $this->addForeignKey('comment_service_fk',
                             'question',
                             'service_id',
                             'service',
                             'id',
                             'SET NULL',
                             'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('comment_service_fk', 'question');
        $this->dropTable('comment');
    }
    
}
